
%global meadversion 2.0.2
%global namedversion 2.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package microprofile-metrics}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.2.redhat-00001

Name:           %{?scl_prefix}microprofile-metrics
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse MicroProfile Metrics
Group:          Development/Java

%if %with mead
Source100: microprofile-metrics-parent-2.0.2.redhat-00001-project-sources.tar.gz
Source102: microprofile-metrics-api-2.0.2.redhat-00001.pom
Source103: microprofile-metrics-api-tck-2.0.2.redhat-00001.pom
Source104: microprofile-metrics-rest-tck-2.0.2.redhat-00001.jar
Source105: microprofile-metrics-rest-tck-2.0.2.redhat-00001-javadoc.jar
Source106: microprofile-metrics-api-2.0.2.redhat-00001-javadoc.jar
Source107: microprofile-metrics-rest-tck-2.0.2.redhat-00001-sources.jar
Source108: microprofile-metrics-api-tck-2.0.2.redhat-00001-sources.jar
Source109: microprofile-metrics-api-2.0.2.redhat-00001-sources.jar
Source110: microprofile-metrics-spec-2.0.2.redhat-00001.pom
Source111: microprofile-metrics-api-2.0.2.redhat-00001.jar
Source112: microprofile-metrics-rest-tck-2.0.2.redhat-00001.pom
Source113: microprofile-metrics-api-tck-2.0.2.redhat-00001-javadoc.jar
Source114: microprofile-metrics-api-tck-2.0.2.redhat-00001.jar
Source115: microprofile-metrics-parent-2.0.2.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/smallrye/microprofile-metrics/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Eclipse MicroProfile Metrics.

%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-metrics
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package -n %{?scl_prefix}microprofile-metrics-api
Summary:        Eclipse MicroProfile Metrics API
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-metrics-api
%{summary}.

%package -n %{?scl_prefix}microprofile-metrics-api-tck
Summary:        Eclipse MicroProfile Metrics API TCK
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-metrics-api-tck
%{summary}.

%package -n %{?scl_prefix}microprofile-metrics-rest-tck
Summary:        Eclipse MicroProfile Metrics Rest TCK
Group:          Development/Java

%description -n %{?scl_prefix}microprofile-metrics-rest-tck
%{summary}.



%prep
%setup -q -n microprofile-metrics-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-metrics-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-metrics-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-tck-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-metrics-api-tck-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-metrics-api-tck-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-rest-tck-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-metrics-rest-tck-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-rest-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-metrics-rest-tck-%{namedversion}-sources.jar


%if %with javadoc
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-metrics-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-api-tck-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-metrics-api-tck-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/microprofile-metrics-rest-tck-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-metrics-rest-tck-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/microprofile-metrics-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-metrics-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-metrics-%{namedversion} -x META-INF/\*
%{__ln_s} microprofile-metrics-%{namedversion} %{buildroot}%{_javadocdir}/microprofile-metrics
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.adoc

%files -n %{?scl_prefix}microprofile-metrics-api
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-metrics-api.jar
%{_javadir}/microprofile-metrics-api-%{namedversion}.jar
%{_javadir}/microprofile-metrics-api-sources.jar
%{_javadir}/microprofile-metrics-api-%{namedversion}-sources.jar

%files -n %{?scl_prefix}microprofile-metrics-api-tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-metrics-api-tck.jar
%{_javadir}/microprofile-metrics-api-tck-%{namedversion}.jar
%{_javadir}/microprofile-metrics-api-tck-sources.jar
%{_javadir}/microprofile-metrics-api-tck-%{namedversion}-sources.jar

%files -n %{?scl_prefix}microprofile-metrics-rest-tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-metrics-rest-tck.jar
%{_javadir}/microprofile-metrics-rest-tck-%{namedversion}.jar
%{_javadir}/microprofile-metrics-rest-tck-sources.jar
%{_javadir}/microprofile-metrics-rest-tck-%{namedversion}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-metrics-%{namedversion}
%{_javadocdir}/microprofile-metrics
%endif

%changelog
* Mon Nov 04 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.2-1.redhat_00001.1
- 2.0.2.redhat-00001

* Fri May 24 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.0-1.redhat_81.1
- 1.1.0.redhat_81

* Fri May 24 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.0-1.redhat_81.1
- 1.1.0.redhat_81

